Foreman - Bug #15626

Associating VMs/hosts with multiple VMWare compute resources from same vcenter server
07/08/2016 09:11 AM - Alexandre Barth

Status: Closed
Priority: Normal
Assignee: Chris Roberts
Category: Compute resources - VMware
Target version: 1.23.0
Difficulty: easy Fixed in Releases: 1.23.0
Triaged: Yes Found in Releases: 1.22.0
Bugzilla link: 1647578 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6722
Description

In my org we run several datacenters by geo site all managed by same vcenter.

On my foreman server i create corresponding compute resources with the same vcenter server url but different datacenters.

The associate vms button in foreman conpute resource seems to be linked to vcenter server, not datacenters.

If i run the associate vms button in my compute resource Datacenter_1, in hosts view the model column becomes Datacenter_1 for
each host, even hosts running in other datacenters (Datacenter_2, Datacenter_3).

Then if i run the associate vms button in compute resource Datacenter_2, all hosts update their model with Datacenter_2.

I'd like to see the correponding compute resource for each host in hosts view.

Associated revisions

Revision 21367aae - 05/02/2019 09:23 AM - Ondfej Ezr
Fixes #15626 - filters vmware vms by datacenter (#6722)

History

#1 - 07/08/2016 09:20 AM - Dominic Cleal

- Subject changed from Model problem with different VMWare compute resources from same vcenter server to Associating VMs/hosts with multiple
VMWare compute resources from same vcenter server

- Category set to Compute resources - VMware

If you view the VMs for a single datacenter compute resource (under the compute resource, VMs tab), does it show VMs across all datacenters? It
might be the association isn't confined to one datacenter, so it reassigns hosts for all VMs it can see.

#2 - 07/08/2016 09:25 AM - Alexandre Barth

Under the compute resource VMS tabs it is ok, i can only see vms running in this particular datacenter.

#3 - 07/19/2018 02:11 PM - Alik Agaev
- Triaged set to No

| would like to confirm this issue at our prod. environment with the Foreman 1.16.0.
Is there anything planned to be fixed?

#4 - 10/31/2018 04:51 PM - Chris Roberts

- Assignee set to Chris Roberts

#5 - 11/07/2018 08:04 PM - Chris Roberts
- Bugzilla link set to 1647578

#6 - 04/25/2019 06:42 PM - Chris Roberts
- Status changed from New to Assigned

- Difficulty set to easy
#7 - 04/29/2019 03:43 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6717 added

#8 - 04/30/2019 11:50 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6722 added

#9 - 04/30/2019 06:53 PM - Chris Roberts
- Target version set to 1.23.0

- Triaged changed from No to Yes

- Pull request deleted (https://github.com/theforeman/foreman/pull/6717)

- Found in Releases 1.22.0 added
- Found in Releases deleted (1.12.0)

#10 - 05/02/2019 09:23 AM - Marek Hulan
- Fixed in Releases 1.23.0 added

#11 - 05/02/2019 10:01 AM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset 21367aae6531824da5184b852eb2c2df8c55¢8fd.
